Botan 1.10.17

Public Member Functions | List of all members
Botan::Invalid_Block_Size Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Invalid_Block_Size:

## Public Member Functions
| Invalid_Block_Size (const std::string &mode, const std::string &pad)

## Detailed Description

Invalid_Block_Size Exception

Definition at line 66 of file exceptn.h.

## Constructor & Destructor Documentation

## ◆ Invalid_Block_Size()

Botan::Invalid_Block_Size::Invalid_Block_Size | ( | const std::string & | mode,
|  | const std::string & | pad
| ) |  |
| inline

Definition at line 68 of file exceptn.h.

69 :
70 Invalid_Argument("Padding method " + pad +
71 " cannot be used with " + mode)
72 {}
Botan::Invalid_Argument
std::invalid_argument Invalid_Argument
Definition: exceptn.h:20

The documentation for this struct was generated from the following file:

- src/utils/exceptn.h